/**
 * r2m_client常量定义
 * 
 * @author hawklim
 */

var constMap = {
	R2M_VERSION : 3,
	// 请求的命令
	CMD_AUTH : 1,
	CMD_ADD_OBJECT : 2,
	CMD_ADD_OBJECT_NX : 3,
	CMD_GET_ROW : 4,
	CMD_GET_ALL : 5,
	CMD_REPLACE_OBJECT : 6,
	CMD_UPDATE_OBJECT : 7,
	CMD_UPDATE_OBJECTS : 8,
	CMD_DEL_OBJECT : 9,
	CMD_DEL_OBJECTS : 10,
	CMD_DEL_ROW_CACHE : 11,
	CMD_DEL_LIST_CACHE : 12,
	CMD_SET_DEBUG : 13,
	CMD_DEBUG_MSG : 14,
	CMD_GET_INSERT_ID : 15,
	CMD_ADD_OBJECTS : 16,
	CMD_ADD_OBJECTS2 : 17,
	CMD_GET_ALL_SQL : 18,

	// 响应的命令
	RESULT_NO_AUTHOR : 10000,
	RESULT_SUCCESS : 10001,
	RESULT_ERROR : 10002,

	// 命令类型
	CMD_TYPE_REQUEST : 1,
	CMD_TYPE_RESPONSE : 2,

	CODE_TYPE_BINARY : 1,
	CODE_TYPE_UTF8 : 2,

	CONTENT_TYPE_TEXT : 1,
	CONTENT_TYPE_JSON : 2,


};

module.exports = constMap;